apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: netbird-operator-1.0.0
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: netbird-operator
      name: netbird-operator
      podspec:
        containers:
          - image: aep/aos/resolute/aep-adl
            name: netbird-operator
            resources: {}
      sizing:
        initial: 1
        maximum: 1
        minimum: 1
  flags:
    - from: value
      key: adl_packages
      to: annotation
      value: netbird-adl
    - from: setting
      key: v1_dns_servers
      setting: dns_servers
      to: annotation
  includes:
    - name: defaults-operator
      vendor: asag
      version: 0.8.0
  name: netbird-operator
  operator:
    flags:
      - from: value
        key: operator_identifier
        to: label
        value: netbird-operator
    version: "1.0"
  settings:
    - from:
        - user
      name: dns_servers
      schema:
        default: 10.132.9.1 10.132.9.21
        description: Space-separated DNS servers written to the operator at first boot
        type: string
  version: 1.0.0
